package adminaddressaggregatorservice

import (
	"context"

	"git.gocasts.ir/ebhomengo/niki/entity"
)

type Repository interface {
	GetAddressWithProvinceAndCityByID(ctx context.Context, addressId uint) (entity.AddressAggregated, error)
}

type Service struct {
	repo Repository
}

func New(repo Repository) Service {
	return Service{repo: repo}
}
